/********************************************************************************
* table oriented Parser for mathematical formulas								*
*																				*
* by Ansgar Schfer, (c)2002													*
*																				*
* ParseTbl.h																	*
*																				*
* defines Parsetable for mathematical functions, internal						*
*																				*
* Version:	V2.02																*
* Date:		01.11.2002															*
********************************************************************************/

#ifndef _PARSETBL_H
#define _PARSETBL_H

#include "modeldef.h"

#include "ParseEvl.h"


/******************************************************
 * Parsetable for function strings, syntax and action *
 *****************************************************/
extern const tParsetableElement FAR ParseTable[];

/* element numbers in table of special functions */
#define NUMFAK		27
#define NUMROUND	36
#define NUMTRUNC	43

#endif /* _PARSETBL_H */