/********************************************************************************
* button definitons																*
*																				*
* by Ansgar Schfer, (c)2002													*
*																				*
* buttons.c																		*
*																				*
*																				*
* Version:	V3.00																*
* Date:		09.11.2002															*
********************************************************************************/


#include "buttons.h"



/* Graphics of Clr Icon */
byte FAR	GraphIconClr[] = {
	GSIZE(19, 12),
	0x7F, 0xFF, 0xDF,
	0x80, 0x00, 0x3F,
	0x8E, 0x60, 0x7F,
	0x91, 0x20, 0x7F,
	0x90, 0x2A, 0x7F,
	0x90, 0x2C, 0x7F,
	0x90, 0x28, 0x7F,
	0x91, 0x28, 0x7F,
	0x8E, 0x28, 0x7F,
	0x80, 0x00, 0x7F,
	0xBF, 0xFF, 0xFF,
	0x7F, 0xFF, 0xDF
};

/* Graphics of Esc Icon */
byte FAR	GraphIconEsc[] = {
	GSIZE(21, 12),
	0x7F, 0xFF, 0xF7,
	0x80, 0x00, 0x0F,
	0x9E, 0x00, 0x1F,
	0x90, 0x00, 0x1F,
	0x90, 0x73, 0x1F,
	0x9C, 0x84, 0x9F,
	0x90, 0x64, 0x1F,
	0x90, 0x14, 0x9F,
	0x9E, 0xE3, 0x1F,
	0x80, 0x00, 0x1F,
	0xBF, 0xFF, 0xFF,
	0x7F, 0xFF, 0xF7
};

/* Graphics of OK Icon */
byte FAR	GraphIconOK[] = {
	GSIZE(19, 12),
	0x7F, 0xFF, 0xDF,
	0x80, 0x00, 0x33,
	0x86, 0x22, 0x6B,
	0x89, 0x24, 0x7F,
	0x90, 0xA8, 0x7F,
	0x90, 0xB0, 0x7F,
	0x90, 0xA8, 0x7F,
	0x89, 0x24, 0x7F,
	0x86, 0x22, 0x7F,
	0x80, 0x00, 0x7F,
	0xBF, 0xFF, 0xFF,
	0x7F, 0xFF, 0xDF
};

/* Graphics of Save Icon */
byte FAR	GraphIconSave[] = {
	GSIZE(26, 12),
	0x7F, 0xFF, 0xFF, 0xBF,
	0x80, 0x00, 0x00, 0x7F,
	0x9C, 0x00, 0x00, 0xFF,
	0xA2, 0x00, 0x00, 0xCC,
	0xA0, 0x64, 0x4C, 0xEF,
	0x9C, 0x14, 0x52, 0xE5,
	0x82, 0x72, 0x9E, 0xFF,
	0xA2, 0x92, 0x90, 0xEA,
	0x9C, 0x71, 0x0E, 0xDC,
	0x80, 0x00, 0x00, 0xEC,
	0xBF, 0xFF, 0xFF, 0xDC,
	0x7F, 0xFF, 0xFF, 0xBF
};

/* Graphics of Plot Icon */
byte FAR	GraphIconPlot[] = {
	GSIZE(24, 12),
	0x7F, 0xFF, 0xFE,
	0x80, 0x00, 0x01,
	0x9E, 0x60, 0x03,
	0x91, 0x20, 0x23,
	0x91, 0x26, 0x73,
	0x9E, 0x29, 0x23,
	0x90, 0x29, 0x23,
	0x90, 0x29, 0x23,
	0x90, 0x26, 0x33,
	0x80, 0x00, 0x03,
	0xBF, 0xFF, 0xFF,
	0x7F, 0xFF, 0xFE
};

/* Graphics of QMark Icon */
byte FAR	GraphIconInfo[] = {
	GSIZE(13, 12),
	0x7F, 0xF7,
	0x80, 0x0F,
	0x8F, 0x1F,
	0x99, 0x9F,
	0x99, 0x9F,
	0x83, 0x1F,
	0x86, 0x1F,
	0x80, 0x1F,
	0x86, 0x1F,
	0x80, 0x1F,
	0xBF, 0xFF,
	0x7F, 0xF7
};

/* Graphics of EmptyKey Icon */
byte FAR	GraphIconEmptyKey[] = {
	GSIZE(30, 12),
	0x7F, 0xFF, 0xFF, 0xF8,
	0x80, 0x00, 0x00, 0x04,
	0x80, 0x00, 0x00, 0x0C,
	0x80, 0x00, 0x00, 0x0C,
	0x80, 0x00, 0x00, 0x0C,
	0x80, 0x00, 0x00, 0x0C,
	0x80, 0x00, 0x00, 0x0C,
	0x80, 0x00, 0x00, 0x0C,
	0x80, 0x00, 0x00, 0x0C,
	0x80, 0x00, 0x00, 0x0C,
	0xBF, 0xFF, 0xFF, 0xFC,
	0x7F, 0xFF, 0xFF, 0xF8
};



/* attention, important, keep order of these formula number icons, put nothing in between!!! */

/* Graphics of F1 Icon */
byte FAR	GraphIconF1[] = {
	GSIZE(14, 12),
	0x7F, 0xF8,
	0x80, 0x04,
	0x82, 0x0C,
	0x86, 0x0C,
	0x82, 0x0C,
	0x82, 0x0C,
	0x82, 0x0C,
	0x82, 0x0C,
	0x87, 0x0C,
	0x80, 0x0C,
	0xBF, 0xFC,
	0x7F, 0xF8
};

/* Graphics of F2 Icon */
byte FAR	GraphIconF2[] = {
	GSIZE(14, 12),
	0x7F, 0xF8,
	0x80, 0x04,
	0x83, 0x0C,
	0x84, 0x8C,
	0x80, 0x8C,
	0x81, 0x0C,
	0x82, 0x0C,
	0x84, 0x0C,
	0x87, 0x8C,
	0x80, 0x0C,
	0xBF, 0xFC,
	0x7F, 0xF8
};

/* Graphics of F3 Icon */
byte FAR	GraphIconF3[] = {
	GSIZE(14, 12),
	0x7F, 0xF8,
	0x80, 0x04,
	0x83, 0x0C,
	0x84, 0x8C,
	0x80, 0x8C,
	0x81, 0x0C,
	0x80, 0x8C,
	0x84, 0x8C,
	0x83, 0x0C,
	0x80, 0x0C,
	0xBF, 0xFC,
	0x7F, 0xF8
};

