/*
  SHARED Library Functions
  V1.0

  build by somebody

  modified for Library and PV-S1600 by Ansgar Schfer
*/

#ifndef SHARED_H
#define SHARED_H

#include "modeldef.h"

#include "Define.h"

/*
 * if not using the SHARED file functions at the same time,
 * you can use this file structures to save memory.
 * memory allready needs to be allocated cause stack is too small...
 */
extern FILE_INFO	SHAREDfi;
extern FILE_BUF		SHAREDfbuf;


/* load an entry from SHARED file, TRUE on success */
extern INT8 sfLoadRecord(char *signature, int size, byte FAR *buffer);
/* save an entry from SHARED file, TRUE on success */
extern INT8 sfSaveRecord(char *signature, int size, byte FAR *buffer);
/* remove an entry from SHARED file, TRUE on success */
extern INT8 sfRemoveRecord(char *signature);

#endif /* SHARED_H */
