@echo off
rem #####################################################
rem   CASIO PocketViewer Library Build Batch File
rem #####################################################

rem ###############################
rem            clean
rem ###############################
if exist ..\Release\HitachiSH3\*.OBJ  del ..\Release\HitachiSH3\*.OBJ
if exist ..\Release\HitachiSH3\*.RLD  del ..\Release\HitachiSH3\*.RLD
if exist ..\Release\HitachiSH3\*.MAP  del ..\Release\HitachiSH3\*.MAP

if exist ..\Debug\HitachiSH3\*.obj  del ..\Debug\HitachiSH3\*.obj
if exist ..\Debug\HitachiSH3\*.map  del ..\Debug\HitachiSH3\*.map

if exist user_bin\*.ABS del user_bin\*.ABS
if exist user_bin\*.DBG del user_bin\*.DBG
if exist user_bin\*.pva del user_bin\*.pva
if exist user_bin\fin del user_bin\fin
if exist user_bin\findbg del user_bin\findbg

if exist make\temp.mak  del make\temp.mak

rem ###############################
rem          debug build
rem ###############################
genmake sources.def make\srcscp.mak
if errorlevel 1 goto dbgmakeerr
copy sources.def+c:\casio\pv3s1600\shcdir.def+make\makedbg1.mak+make\srcscp.mak+make\makedbg2.mak make\temp.mak
hmake make\temp.mak
echo _
echo ###############################
if errorlevel 1 goto dbgmakeerr
if exist user_bin\findbg goto dbgmakeok

:dbgmakeerr
echo       Debug Build Error.
seterr 1
goto batchexit

:dbgmakeok
echo    Debug Build Successful!
echo ###############################
seterr 0


rem ###############################
rem          release build
rem ###############################
genmake sources.def make\srcscp.mak
if errorlevel 1 goto relmakeerr
copy sources.def+c:\casio\pv3s1600\shcdir.def+make\make1.mak+make\srcscp.mak+make\make2.mak make\temp.mak
hmake make\temp.mak
@echo _
@echo ###############################
if errorlevel 1 goto relmakeerr
if exist user_bin\fin goto relmakeok

:relmakeerr
@echo     Release Build Error.
goto batchexit

:relmakeok
@echo   Release Build Successful!

:batchexit
@echo ###############################
@echo _
