/********************************************************************************
* x-Panel definiton																*
*																				*
* by Ansgar Schfer, (c)2002													*
*																				*
* xpanel.h																		*
*																				*
*																				*
* Version:	V3.00																*
* Date:		09.11.2002															*
********************************************************************************/


#ifndef _XPANEL_H
#define _XPANEL_H


#include "modeldef.h"

#include "buttons.h"


/* display position of y-panel */
#define XPANEL_XPOS			0
#define XPANEL_YPOS			146


/* Object Codes for y-Panel Icons */
#define OBJ_FAST_LEFT		0xC100
#define OBJ_LEFT			(OBJ_FAST_LEFT + 1)
#define OBJ_H_ZOOM_IN		(OBJ_LEFT + 1)
#define OBJ_H_CENTER		(OBJ_H_ZOOM_IN + 1)
#define OBJ_H_ZOOM_OUT		(OBJ_H_CENTER + 1)
#define OBJ_RIGHT			(OBJ_H_ZOOM_OUT + 1)
#define OBJ_FAST_RIGHT		(OBJ_RIGHT + 1)
#define OBJ_S_ZERO			(OBJ_FAST_RIGHT + 1)
#define OBJ_SET				(OBJ_S_ZERO + 1)
#define OBJ_EDIT			(OBJ_SET + 1)


/* exported data */

extern TCHTBL FAR	TchXPanelList [];			/* Teachtable for x-Panel */

extern T_ICON FAR	TFastLeftIcon;				/* Icondescription for x-Panel Icons */
extern T_ICON FAR	TLeftIcon;					/* Icondescription for x-Panel Icons */
extern T_ICON FAR	THZoomInIcon;				/* Icondescription for x-Panel Icons */
extern T_ICON FAR	THCenterIcon;				/* Icondescription for x-Panel Icons */
extern T_ICON FAR	THZoomOutIcon;				/* Icondescription for x-Panel Icons */
extern T_ICON FAR	TRightIcon;					/* Icondescription for x-Panel Icons */
extern T_ICON FAR	TFastRightIcon;				/* Icondescription for x-Panel Icons */
extern T_ICON FAR	TSZeroIcon;					/* Icondescription for x-Panel Icons */
extern T_ICON FAR	TSetIcon;					/* Icondescription for x-Panel Icons */
extern T_ICON FAR	TEditIcon;					/* Icondescription for x-Panel Icons */

extern byte FAR		GraphXPanel[];				/* Graphics of x-Panel */


#endif /* _XPANEL_H */