/********************************************************************************
* y-Panel definiton																*
*																				*
* by Ansgar Schfer, (c)2002													*
*																				*
* ypanel.h																		*
*																				*
*																				*
* Version:	V3.00																*
* Date:		09.11.2002															*
********************************************************************************/


#ifndef _YPANEL_H
#define _YPANEL_H


#include "modeldef.h"

#include "buttons.h"


/* display position of y-panel */
#define YPANEL_XPOS			FUNC_CHANGE_XPOS
#define YPANEL_YPOS			(FUNC_CHANGE_YPOS + 13)


/* Object Codes for y-Panel Icons */
#define OBJ_FAST_UP			0xC200
#define OBJ_UP				(OBJ_FAST_UP + 1)
#define OBJ_V_ZOOM_IN		(OBJ_UP + 1)
#define OBJ_V_CENTER		(OBJ_V_ZOOM_IN + 1)
#define OBJ_V_ZOOM_OUT		(OBJ_V_CENTER + 1)
#define OBJ_DOWN			(OBJ_V_ZOOM_OUT + 1)
#define OBJ_FAST_DOWN		(OBJ_DOWN + 1)

#define OBJ_UNDO			(OBJ_FAST_DOWN + 1)
#define OBJ_G_ZOOM_IN		(OBJ_UNDO + 1)
#define OBJ_G_ZOOM_OUT		(OBJ_G_ZOOM_IN + 1)


/* exported data */
extern TCHTBL FAR	TchYPanelList [];			/* Teachtable for y-Panel */

extern T_ICON FAR	TIconFuncChng;				/* Icondescription for y-Panel Icons */

extern T_ICON FAR	TFastUpIcon;				/* Icondescription for y-Panel Icons */
extern T_ICON FAR	TUpIcon;					/* Icondescription for y-Panel Icons */
extern T_ICON FAR	TVZoomInIcon;				/* Icondescription for y-Panel Icons */
extern T_ICON FAR	TVCenterIcon;				/* Icondescription for y-Panel Icons */
extern T_ICON FAR	TVZoomOutIcon;				/* Icondescription for y-Panel Icons */
extern T_ICON FAR	TDownIcon;					/* Icondescription for y-Panel Icons */
extern T_ICON FAR	TFastDownIcon;				/* Icondescription for y-Panel Icons */
extern T_ICON FAR	TUndoIcon;					/* Icondescription for y-Panel Icons */
extern T_ICON FAR	TGZoomInIcon;				/* Icondescription for y-Panel Icons */
extern T_ICON FAR	TGZoomOutIcon;				/* Icondescription for y-Panel Icons */

extern byte FAR		GraphYPanel[];				/* Graphics of y-Panel */


#endif /* _YPANEL_H */