/********************************************************************************
* button definitons																*
*																				*
* by Ansgar Schfer, (c)2002													*
*																				*
* buttons.h																		*
*																				*
*																				*
* Version:	V3.00																*
* Date:		09.11.2002															*
********************************************************************************/


#ifndef _BUTTONS_H
#define _BUTTONS_H


#include "modeldef.h"


/* display positions of Icons */
#define FUNC_CHANGE_XPOS	(160 - 14)	
#define FUNC_CHANGE_YPOS	0


/**********************************************************************************
 * Unique object codes for user touch icons
 **********************************************************************************/

#define OBJ_FUNC_CHANGE		0xC000

#define	OBJ_PLOT			(OBJ_FUNC_CHANGE + 1)
#define	OBJ_CLR				(OBJ_PLOT + 1)
#define	OBJ_INFO			(OBJ_CLR + 1)

#define OBJ_OK				(OBJ_INFO + 1)
#define OBJ_OWNESC			(OBJ_OK + 1)


/* exported data */
extern byte FAR		GraphIconClr[];					/* Graphics of Clr Icon */
extern byte FAR		GraphIconEsc[];					/* Graphics of Esc Icon */
extern byte FAR		GraphIconOK[];					/* Graphics of OK Icon */
extern byte FAR		GraphIconSave[];				/* Graphics of Save Icon */
extern byte FAR		GraphIconPlot[];				/* Graphics of Plot Icon */
extern byte FAR		GraphIconInfo[];				/* Graphics of QMark Icon */
extern byte FAR		GraphIconF1[];					/* Graphics of F1 Icon */
extern byte FAR		GraphIconF2[];					/* Graphics of F2 Icon */
extern byte FAR		GraphIconF3[];					/* Graphics of F3 Icon */
extern byte FAR		GraphIconEmptyKey[];			/* Graphics of EmptyKey Icon */


#endif /* _BUTTONS_H */
