/********************************************************************************
* Keyboard definition for editing mathematical formulas							*
*																				*
* by Ansgar Schfer, (c)2002													*
*																				*
* ownkeyb.c																		*
*																				*
*																				*
* Version:	V1.0																*
* Date:		20.10.2002															*
********************************************************************************/


#include "ownkeyb.h"



/* Teachtable for own keyboard */
TCHTBL FAR	TchOwnKeyboardList [] = 
{
/*0x00 abs*/		OWNKEYB_XPOS+2,		OWNKEYB_YPOS+1,		OWNKEYB_XPOS+18,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_ABS,		0x0000,
/*0x01 round*/		OWNKEYB_XPOS+2,		OWNKEYB_YPOS+15,	OWNKEYB_XPOS+18,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_ROUND,		0x0000,
/*0x02 trunc*/		OWNKEYB_XPOS+2,		OWNKEYB_YPOS+29,	OWNKEYB_XPOS+18,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_TRUNC,		0x0000,
/*0x03 rootxy*/		OWNKEYB_XPOS+2,		OWNKEYB_YPOS+43,	OWNKEYB_XPOS+18,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_ROOTXY,		0x0000,
/*0x04 root3*/		OWNKEYB_XPOS+2,		OWNKEYB_YPOS+57,	OWNKEYB_XPOS+18,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_ROOT3,		0x0000,
/*0x05 sinh*/		OWNKEYB_XPOS+20,	OWNKEYB_YPOS+1,		OWNKEYB_XPOS+43,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_SINH,		0x0000,
/*0x06 cosh*/		OWNKEYB_XPOS+20,	OWNKEYB_YPOS+15,	OWNKEYB_XPOS+43,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_COSH,		0x0000,
/*0x07 tanh*/		OWNKEYB_XPOS+20,	OWNKEYB_YPOS+29,	OWNKEYB_XPOS+43,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_TANH,		0x0000,
/*0x08 pow10*/		OWNKEYB_XPOS+20,	OWNKEYB_YPOS+43,	OWNKEYB_XPOS+43,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_POW10,		0x0000,
/*0x09 log10*/		OWNKEYB_XPOS+20,	OWNKEYB_YPOS+57,	OWNKEYB_XPOS+43,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_LOG10,		0x0000,
/*0x0a asin*/		OWNKEYB_XPOS+45,	OWNKEYB_YPOS+1,		OWNKEYB_XPOS+62,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_ASIN,		0x0000,
/*0x0b acos*/		OWNKEYB_XPOS+45,	OWNKEYB_YPOS+15,	OWNKEYB_XPOS+62,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_ACOS,		0x0000,
/*0x0c atan*/		OWNKEYB_XPOS+45,	OWNKEYB_YPOS+29,	OWNKEYB_XPOS+62,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_ATAN,		0x0000,
/*0x0d pow*/		OWNKEYB_XPOS+45,	OWNKEYB_YPOS+43,	OWNKEYB_XPOS+62,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_POW,		0x0000,
/*0x0e logxy*/		OWNKEYB_XPOS+45,	OWNKEYB_YPOS+57,	OWNKEYB_XPOS+62,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_LOGXY,		0x0000,
/*0x0f sin*/		OWNKEYB_XPOS+64,	OWNKEYB_YPOS+1,		OWNKEYB_XPOS+77,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_SIN,		0x0000,
/*0x10 cos*/		OWNKEYB_XPOS+64,	OWNKEYB_YPOS+15,	OWNKEYB_XPOS+77,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_COS,		0x0000,
/*0x11 tan*/		OWNKEYB_XPOS+64,	OWNKEYB_YPOS+29,	OWNKEYB_XPOS+77,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_TAN,		0x0000,
/*0x12 exp*/		OWNKEYB_XPOS+64,	OWNKEYB_YPOS+43,	OWNKEYB_XPOS+77,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_EXP,		0x0000,
/*0x13 ln*/			OWNKEYB_XPOS+64,	OWNKEYB_YPOS+57,	OWNKEYB_XPOS+77,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_LN,			0x0000,
/*0x14 sqrt*/		OWNKEYB_XPOS+79,	OWNKEYB_YPOS+1,		OWNKEYB_XPOS+90,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_SQRT,		0x0000,
/*0x15 sqr*/		OWNKEYB_XPOS+79,	OWNKEYB_YPOS+15,	OWNKEYB_XPOS+90,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_SQR,		0x0000,
/*0x16 thre*/		OWNKEYB_XPOS+79,	OWNKEYB_YPOS+29,	OWNKEYB_XPOS+90,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_THRE,		0x0000,
/*0x17 powup*/		OWNKEYB_XPOS+79,	OWNKEYB_YPOS+43,	OWNKEYB_XPOS+90,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_POWUP,		0x0000,
/*0x18 fak*/		OWNKEYB_XPOS+79,	OWNKEYB_YPOS+57,	OWNKEYB_XPOS+90,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_FAK,		0x0000,
/*0x19 cpi*/		OWNKEYB_XPOS+92,	OWNKEYB_YPOS+1,		OWNKEYB_XPOS+103,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_CPI,		0x0000,
/*0x1a cfourth*/	OWNKEYB_XPOS+92,	OWNKEYB_YPOS+15,	OWNKEYB_XPOS+103,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_CFOURTH,	0x0000,
/*0x1b chalf*/		OWNKEYB_XPOS+92,	OWNKEYB_YPOS+29,	OWNKEYB_XPOS+103,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_CHALF,		0x0000,
/*0x1c cthrfour*/	OWNKEYB_XPOS+92,	OWNKEYB_YPOS+43,	OWNKEYB_XPOS+103,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_CTHRFOUR,	0x0000,
/*0x1d ceuler*/		OWNKEYB_XPOS+92,	OWNKEYB_YPOS+57,	OWNKEYB_XPOS+103,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_CEULER,		0x0000,
/*0x1e parenopen*/	OWNKEYB_XPOS+105,	OWNKEYB_YPOS+1,		OWNKEYB_XPOS+116,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_PARENOPEN,	0x0000,
/*0x1f one*/		OWNKEYB_XPOS+105,	OWNKEYB_YPOS+43,	OWNKEYB_XPOS+116,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_ONE,		0x0000,
/*0x20 four*/		OWNKEYB_XPOS+105,	OWNKEYB_YPOS+29,	OWNKEYB_XPOS+116,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_FOUR,		0x0000,
/*0x21 seven*/		OWNKEYB_XPOS+105,	OWNKEYB_YPOS+15,	OWNKEYB_XPOS+116,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_SEVEN,		0x0000,
/*0x22 zero*/		OWNKEYB_XPOS+105,	OWNKEYB_YPOS+57,	OWNKEYB_XPOS+116,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_ZERO,		0x0000,
/*0x23 komma*/		OWNKEYB_XPOS+118,	OWNKEYB_YPOS+1,		OWNKEYB_XPOS+129,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_KOMMA,		0x0000,
/*0x24 two*/		OWNKEYB_XPOS+118,	OWNKEYB_YPOS+43,	OWNKEYB_XPOS+129,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_TWO,		0x0000,
/*0x25 five*/		OWNKEYB_XPOS+118,	OWNKEYB_YPOS+29,	OWNKEYB_XPOS+129,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_FIVE,		0x0000,
/*0x26 eight*/		OWNKEYB_XPOS+118,	OWNKEYB_YPOS+15,	OWNKEYB_XPOS+129,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_EIGHT,		0x0000,
/*0x27 point*/		OWNKEYB_XPOS+118,	OWNKEYB_YPOS+57,	OWNKEYB_XPOS+129,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_POINT,		0x0000,
/*0x28 parenclose*/	OWNKEYB_XPOS+131,	OWNKEYB_YPOS+1,		OWNKEYB_XPOS+142,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_PARENCLOSE,	0x0000,
/*0x29 three*/		OWNKEYB_XPOS+131,	OWNKEYB_YPOS+43,	OWNKEYB_XPOS+142,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_THREE,		0x0000,
/*0x2a six*/		OWNKEYB_XPOS+131,	OWNKEYB_YPOS+29,	OWNKEYB_XPOS+142,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_SIX,		0x0000,
/*0x2b nine*/		OWNKEYB_XPOS+131,	OWNKEYB_YPOS+15,	OWNKEYB_XPOS+142,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_NINE,		0x0000,
/*0x2c varx*/		OWNKEYB_XPOS+131,	OWNKEYB_YPOS+57,	OWNKEYB_XPOS+142,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_VARX,		0x0000,
/*0x2d delete*/		OWNKEYB_XPOS+144,	OWNKEYB_YPOS+1,		OWNKEYB_XPOS+158,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_DELETE,		0x0000,
/*0x2e divide*/		OWNKEYB_XPOS+144,	OWNKEYB_YPOS+15,	OWNKEYB_XPOS+158,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_DIVIDE,		0x0000,
/*0x2f mult*/		OWNKEYB_XPOS+144,	OWNKEYB_YPOS+29,	OWNKEYB_XPOS+158,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_MULT,		0x0000,
/*0x30 sub*/		OWNKEYB_XPOS+144,	OWNKEYB_YPOS+43,	OWNKEYB_XPOS+158,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_SUB,		0x0000,
/*0x31 add*/		OWNKEYB_XPOS+144,	OWNKEYB_YPOS+57,	OWNKEYB_XPOS+158,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_ADD,		0x0000,

					0,					0,					0,					0,					ACT_NONE,	OBJ_END,		0x0000
};

TCHTBL FAR	TchOwnKeyboardListNumEdit [] = /* Teachtable for own keyboard to edit numbers only */
{
/*0x00 abs*/		OWNKEYB_XPOS+2,		OWNKEYB_YPOS+1,		OWNKEYB_XPOS+18,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_ABS,		0x0000,
/*0x01 round*/		OWNKEYB_XPOS+2,		OWNKEYB_YPOS+15,	OWNKEYB_XPOS+18,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_ROUND,		0x0000,
/*0x02 trunc*/		OWNKEYB_XPOS+2,		OWNKEYB_YPOS+29,	OWNKEYB_XPOS+18,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_TRUNC,		0x0000,
/*0x03 rootxy*/		OWNKEYB_XPOS+2,		OWNKEYB_YPOS+43,	OWNKEYB_XPOS+18,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_ROOTXY,		0x0000,
/*0x04 root3*/		OWNKEYB_XPOS+2,		OWNKEYB_YPOS+57,	OWNKEYB_XPOS+18,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_ROOT3,		0x0000,
/*0x05 sinh*/		OWNKEYB_XPOS+20,	OWNKEYB_YPOS+1,		OWNKEYB_XPOS+43,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_SINH,		0x0000,
/*0x06 cosh*/		OWNKEYB_XPOS+20,	OWNKEYB_YPOS+15,	OWNKEYB_XPOS+43,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_COSH,		0x0000,
/*0x07 tanh*/		OWNKEYB_XPOS+20,	OWNKEYB_YPOS+29,	OWNKEYB_XPOS+43,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_TANH,		0x0000,
/*0x08 pow10*/		OWNKEYB_XPOS+20,	OWNKEYB_YPOS+43,	OWNKEYB_XPOS+43,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_POW10,		0x0000,
/*0x09 log10*/		OWNKEYB_XPOS+20,	OWNKEYB_YPOS+57,	OWNKEYB_XPOS+43,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_LOG10,		0x0000,
/*0x0a asin*/		OWNKEYB_XPOS+45,	OWNKEYB_YPOS+1,		OWNKEYB_XPOS+62,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_ASIN,		0x0000,
/*0x0b acos*/		OWNKEYB_XPOS+45,	OWNKEYB_YPOS+15,	OWNKEYB_XPOS+62,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_ACOS,		0x0000,
/*0x0c atan*/		OWNKEYB_XPOS+45,	OWNKEYB_YPOS+29,	OWNKEYB_XPOS+62,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_ATAN,		0x0000,
/*0x0d pow*/		OWNKEYB_XPOS+45,	OWNKEYB_YPOS+43,	OWNKEYB_XPOS+62,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_POW,		0x0000,
/*0x0e logxy*/		OWNKEYB_XPOS+45,	OWNKEYB_YPOS+57,	OWNKEYB_XPOS+62,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_LOGXY,		0x0000,
/*0x0f sin*/		OWNKEYB_XPOS+64,	OWNKEYB_YPOS+1,		OWNKEYB_XPOS+77,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_SIN,		0x0000,
/*0x10 cos*/		OWNKEYB_XPOS+64,	OWNKEYB_YPOS+15,	OWNKEYB_XPOS+77,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_COS,		0x0000,
/*0x11 tan*/		OWNKEYB_XPOS+64,	OWNKEYB_YPOS+29,	OWNKEYB_XPOS+77,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_TAN,		0x0000,
/*0x12 exp*/		OWNKEYB_XPOS+64,	OWNKEYB_YPOS+43,	OWNKEYB_XPOS+77,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_EXP,		0x0000,
/*0x13 ln*/			OWNKEYB_XPOS+64,	OWNKEYB_YPOS+57,	OWNKEYB_XPOS+77,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_LN,			0x0000,
/*0x14 sqrt*/		OWNKEYB_XPOS+79,	OWNKEYB_YPOS+1,		OWNKEYB_XPOS+90,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_SQRT,		0x0000,
/*0x15 sqr*/		OWNKEYB_XPOS+79,	OWNKEYB_YPOS+15,	OWNKEYB_XPOS+90,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_SQR,		0x0000,
/*0x16 thre*/		OWNKEYB_XPOS+79,	OWNKEYB_YPOS+29,	OWNKEYB_XPOS+90,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_THRE,		0x0000,
/*0x17 powup*/		OWNKEYB_XPOS+79,	OWNKEYB_YPOS+43,	OWNKEYB_XPOS+90,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_POWUP,		0x0000,
/*0x18 fak*/		OWNKEYB_XPOS+79,	OWNKEYB_YPOS+57,	OWNKEYB_XPOS+90,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_FAK,		0x0000,
/*0x19 cpi*/		OWNKEYB_XPOS+92,	OWNKEYB_YPOS+1,		OWNKEYB_XPOS+103,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_CPI,		0x0000,
/*0x1a cfourth*/	OWNKEYB_XPOS+92,	OWNKEYB_YPOS+15,	OWNKEYB_XPOS+103,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_CFOURTH,	0x0000,
/*0x1b chalf*/		OWNKEYB_XPOS+92,	OWNKEYB_YPOS+29,	OWNKEYB_XPOS+103,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_CHALF,		0x0000,
/*0x1c cthrfour*/	OWNKEYB_XPOS+92,	OWNKEYB_YPOS+43,	OWNKEYB_XPOS+103,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_CTHRFOUR,	0x0000,
/*0x1d ceuler*/		OWNKEYB_XPOS+92,	OWNKEYB_YPOS+57,	OWNKEYB_XPOS+103,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_CEULER,		0x0000,
/*0x1e parenopen*/	OWNKEYB_XPOS+105,	OWNKEYB_YPOS+1,		OWNKEYB_XPOS+116,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_PARENOPEN,	0x0000,
/*0x1f one*/		OWNKEYB_XPOS+105,	OWNKEYB_YPOS+43,	OWNKEYB_XPOS+116,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_ONE,		0x0000,
/*0x20 four*/		OWNKEYB_XPOS+105,	OWNKEYB_YPOS+29,	OWNKEYB_XPOS+116,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_FOUR,		0x0000,
/*0x21 seven*/		OWNKEYB_XPOS+105,	OWNKEYB_YPOS+15,	OWNKEYB_XPOS+116,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_SEVEN,		0x0000,
/*0x22 zero*/		OWNKEYB_XPOS+105,	OWNKEYB_YPOS+57,	OWNKEYB_XPOS+116,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_ZERO,		0x0000,
/*0x23 komma*/		OWNKEYB_XPOS+118,	OWNKEYB_YPOS+1,		OWNKEYB_XPOS+129,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_KOMMA,		0x0000,
/*0x24 two*/		OWNKEYB_XPOS+118,	OWNKEYB_YPOS+43,	OWNKEYB_XPOS+129,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_TWO,		0x0000,
/*0x25 five*/		OWNKEYB_XPOS+118,	OWNKEYB_YPOS+29,	OWNKEYB_XPOS+129,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_FIVE,		0x0000,
/*0x26 eight*/		OWNKEYB_XPOS+118,	OWNKEYB_YPOS+15,	OWNKEYB_XPOS+129,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_EIGHT,		0x0000,
/*0x27 point*/		OWNKEYB_XPOS+118,	OWNKEYB_YPOS+57,	OWNKEYB_XPOS+129,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_POINT,		0x0000,
/*0x28 parenclose*/	OWNKEYB_XPOS+131,	OWNKEYB_YPOS+1,		OWNKEYB_XPOS+142,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_PARENCLOSE,	0x0000,
/*0x29 three*/		OWNKEYB_XPOS+131,	OWNKEYB_YPOS+43,	OWNKEYB_XPOS+142,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_THREE,		0x0000,
/*0x2a six*/		OWNKEYB_XPOS+131,	OWNKEYB_YPOS+29,	OWNKEYB_XPOS+142,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_SIX,		0x0000,
/*0x2b nine*/		OWNKEYB_XPOS+131,	OWNKEYB_YPOS+15,	OWNKEYB_XPOS+142,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_NINE,		0x0000,
/*0x2c varx*/		/*OWNKEYB_XPOS+131,	OWNKEYB_YPOS+57,	OWNKEYB_XPOS+142,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_VARX,		0x0000,*/
/*0x2d delete*/		OWNKEYB_XPOS+144,	OWNKEYB_YPOS+1,		OWNKEYB_XPOS+158,	OWNKEYB_YPOS+13,	ACT_ICON,	OBJ_DELETE,		0x0000,
/*0x2e divide*/		OWNKEYB_XPOS+144,	OWNKEYB_YPOS+15,	OWNKEYB_XPOS+158,	OWNKEYB_YPOS+27,	ACT_ICON,	OBJ_DIVIDE,		0x0000,
/*0x2f mult*/		OWNKEYB_XPOS+144,	OWNKEYB_YPOS+29,	OWNKEYB_XPOS+158,	OWNKEYB_YPOS+41,	ACT_ICON,	OBJ_MULT,		0x0000,
/*0x30 sub*/		OWNKEYB_XPOS+144,	OWNKEYB_YPOS+43,	OWNKEYB_XPOS+158,	OWNKEYB_YPOS+55,	ACT_ICON,	OBJ_SUB,		0x0000,
/*0x31 add*/		OWNKEYB_XPOS+144,	OWNKEYB_YPOS+57,	OWNKEYB_XPOS+158,	OWNKEYB_YPOS+69,	ACT_ICON,	OBJ_ADD,		0x0000,

					0,					0,					0,					0,					ACT_NONE,	OBJ_END,		0x0000
};


/* Icondescription for own keyboard Icons */
T_ICON FAR	TIconDelete		=		{ &TchOwnKeyboardList[0x2d],	NULL, NULL, 0x03 };
/* Icondescription for own keyboard Icons, sorted by object code */
T_ICON FAR	TIconOwnKeyboard[] = {
/*T_ICON	FAR TIconFak*/			{ &TchOwnKeyboardList[0x18],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconParenopen*/	{ &TchOwnKeyboardList[0x1e],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconParenclose*/	{ &TchOwnKeyboardList[0x28],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconMult*/			{ &TchOwnKeyboardList[0x2f],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconAdd*/			{ &TchOwnKeyboardList[0x31],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconKomma*/		{ &TchOwnKeyboardList[0x23],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconSub*/			{ &TchOwnKeyboardList[0x30],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconPoint*/		{ &TchOwnKeyboardList[0x27],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconDivide*/		{ &TchOwnKeyboardList[0x2e],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconZero*/			{ &TchOwnKeyboardList[0x22],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconOne*/			{ &TchOwnKeyboardList[0x1f],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconTwo*/			{ &TchOwnKeyboardList[0x24],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconThree*/		{ &TchOwnKeyboardList[0x29],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconFour*/			{ &TchOwnKeyboardList[0x20],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconFive*/			{ &TchOwnKeyboardList[0x25],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconSix*/			{ &TchOwnKeyboardList[0x2a],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconSeven*/		{ &TchOwnKeyboardList[0x21],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconEight*/		{ &TchOwnKeyboardList[0x26],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconNine*/			{ &TchOwnKeyboardList[0x2b],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconAbs*/			{ &TchOwnKeyboardList[0x00],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconAcos*/			{ &TchOwnKeyboardList[0x0b],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconAsin*/			{ &TchOwnKeyboardList[0x0a],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconAtan*/			{ &TchOwnKeyboardList[0x0c],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconCosh*/			{ &TchOwnKeyboardList[0x06],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconCos*/			{ &TchOwnKeyboardList[0x10],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconExp*/			{ &TchOwnKeyboardList[0x12],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconCeuler*/		{ &TchOwnKeyboardList[0x1d],	NULL, NULL, 0x03 },
/*fak*/								{ &TchOwnKeyboardList[0x18],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconLn*/			{ &TchOwnKeyboardList[0x13],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconLog10*/		{ &TchOwnKeyboardList[0x09],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconLogxy*/		{ &TchOwnKeyboardList[0x0e],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconCpi*/			{ &TchOwnKeyboardList[0x19],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconPow10*/		{ &TchOwnKeyboardList[0x08],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconPow*/			{ &TchOwnKeyboardList[0x0d],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconRoot3*/		{ &TchOwnKeyboardList[0x04],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconRootxy*/		{ &TchOwnKeyboardList[0x03],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconRound*/		{ &TchOwnKeyboardList[0x01],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconSinh*/			{ &TchOwnKeyboardList[0x05],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconSin*/			{ &TchOwnKeyboardList[0x0f],	NULL, NULL, 0x03 },
/*sqrt*/							{ &TchOwnKeyboardList[0x14],	NULL, NULL, 0x03 },
/*sqr*/								{ &TchOwnKeyboardList[0x15],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconTanh*/			{ &TchOwnKeyboardList[0x07],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconTan*/			{ &TchOwnKeyboardList[0x11],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconTrunc*/		{ &TchOwnKeyboardList[0x02],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconVarx*/			{ &TchOwnKeyboardList[0x2c],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconPowup*/		{ &TchOwnKeyboardList[0x17],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconSqr*/			{ &TchOwnKeyboardList[0x15],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconThre*/			{ &TchOwnKeyboardList[0x16],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconChalf*/		{ &TchOwnKeyboardList[0x1b],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconCfourth*/		{ &TchOwnKeyboardList[0x1a],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconCthrfour*/		{ &TchOwnKeyboardList[0x1c],	NULL, NULL, 0x03 },
/*T_ICON	FAR TIconSqrt*/			{ &TchOwnKeyboardList[0x14],	NULL, NULL, 0x03 }
};


/* Graphics of own keyboard, see OwnKeyboard.bmp */
byte FAR	GraphOwnKeyboard[] =
{
	GSIZE(160, 71),
	0xBF, 0xFF, 0xEF, 0xFF, 0xFF, 0xF7, 0xFF, 0xFE, 0xFF, 0xFD, 0xFF, 0xEF, 0xFF, 0x7F, 0xFB, 0xFF, 0xDF, 0xFE, 0xFF, 0xFE,
	0x40, 0x00, 0x10, 0x00, 0x00, 0x08, 0x00, 0x01, 0x00, 0x02, 0x00, 0x10, 0x00, 0x80, 0x04, 0x00, 0x20, 0x01, 0x00, 0x01,
	0xC0, 0x00, 0x30, 0x00, 0x00, 0x18, 0x00, 0x03, 0x00, 0x06, 0x00, 0x30, 0x01, 0x80, 0x0C, 0x00, 0x60, 0x03, 0x38, 0x03,
	0x40, 0x40, 0x30, 0x04, 0x10, 0x18, 0x01, 0x03, 0x02, 0x06, 0x0E, 0x30, 0x01, 0x81, 0x0C, 0x00, 0x60, 0x83, 0x24, 0x03,
	0xC0, 0x40, 0x30, 0x00, 0x10, 0x18, 0x00, 0x03, 0x00, 0x06, 0x08, 0x30, 0x09, 0x82, 0x0C, 0x00, 0x60, 0x43, 0x27, 0x83,
	0x42, 0x63, 0x30, 0x35, 0x98, 0x18, 0x8D, 0x63, 0x1A, 0xC6, 0x08, 0x31, 0xF1, 0x84, 0x0C, 0x00, 0x60, 0x23, 0x26, 0x03,
	0xC1, 0x54, 0x30, 0x45, 0x54, 0x18, 0x51, 0x53, 0x22, 0xA6, 0x08, 0x32, 0xA1, 0x84, 0x0C, 0x00, 0x60, 0x23, 0x3B, 0x83,
	0x43, 0x52, 0x30, 0x25, 0x54, 0x18, 0xC9, 0x53, 0x12, 0xA6, 0x28, 0x30, 0xA1, 0x84, 0x0C, 0x18, 0x60, 0x23, 0x02, 0x43,
	0xC5, 0x51, 0x30, 0x15, 0x54, 0x19, 0x45, 0x53, 0x0A, 0xA6, 0x18, 0x30, 0xA1, 0x82, 0x0C, 0x18, 0x60, 0x43, 0x03, 0xC3,
	0x43, 0x66, 0x30, 0x65, 0x54, 0x18, 0xD9, 0x53, 0x32, 0xA6, 0x08, 0x30, 0xA1, 0x81, 0x0C, 0x08, 0x60, 0x83, 0x00, 0x43,
	0xC0, 0x00, 0x30, 0x00, 0x00, 0x18, 0x00, 0x03, 0x00, 0x06, 0x00, 0x30, 0x01, 0x80, 0x0C, 0x10, 0x60, 0x03, 0x00, 0x43,
	0x40, 0x00, 0x30, 0x00, 0x00, 0x18, 0x00, 0x03, 0x00, 0x06, 0x00, 0x30, 0x01, 0x80, 0x0C, 0x00, 0x60, 0x03, 0x00, 0x73,
	0xC0, 0x00, 0x30, 0x00, 0x00, 0x18, 0x00, 0x03, 0x00, 0x06, 0x00, 0x30, 0x01, 0x80, 0x0C, 0x00, 0x60, 0x03, 0x00, 0x03,
	0x5F, 0xFF, 0xF7, 0xFF, 0xFF, 0xFB, 0xFF, 0xFF, 0x7F, 0xFE, 0xFF, 0xF7, 0xFF, 0xBF, 0xFD, 0xFF, 0xEF, 0xFF, 0x7F, 0xFF,
	0xBF, 0xFF, 0xEF, 0xFF, 0xFF, 0xF7, 0xFF, 0xFE, 0xFF, 0xFD, 0xFF, 0xEF, 0xFF, 0x7F, 0xFB, 0xFF, 0xDF, 0xFE, 0xFF, 0xFE,
	0x40, 0x00, 0x10, 0x00, 0x00, 0x08, 0x00, 0x01, 0x00, 0x02, 0x00, 0x10, 0x00, 0x80, 0x04, 0x00, 0x20, 0x01, 0x00, 0x01,
	0xC0, 0x00, 0x30, 0x00, 0x00, 0x18, 0x00, 0x03, 0x00, 0x06, 0x30, 0x30, 0x01, 0x80, 0x0C, 0x00, 0x60, 0x03, 0x00, 0x03,
	0x40, 0x01, 0x30, 0x00, 0x08, 0x18, 0x00, 0x03, 0x00, 0x06, 0x48, 0x31, 0x21, 0x87, 0x8C, 0x18, 0x60, 0xC3, 0x00, 0x03,
	0xC0, 0x01, 0x30, 0x00, 0x08, 0x18, 0x00, 0x03, 0x00, 0x06, 0x10, 0x31, 0x21, 0x80, 0x8C, 0x24, 0x61, 0x23, 0x00, 0x43,
	0x45, 0x63, 0x30, 0x44, 0x6C, 0x19, 0x11, 0x1B, 0x22, 0x36, 0x20, 0x31, 0x49, 0x81, 0x0C, 0x24, 0x61, 0x23, 0x00, 0x83,
	0xC6, 0x55, 0x30, 0xAA, 0x8A, 0x18, 0xAA, 0xA3, 0x55, 0x46, 0x78, 0x30, 0x59, 0x81, 0x0C, 0x18, 0x60, 0xE3, 0x01, 0x03,
	0x44, 0x55, 0x30, 0x8A, 0x4A, 0x19, 0xA2, 0x93, 0x45, 0x26, 0x00, 0x30, 0xA9, 0x82, 0x0C, 0x24, 0x60, 0x23, 0x02, 0x03,
	0xC4, 0x55, 0x30, 0xAA, 0x2A, 0x1A, 0xAA, 0x8B, 0x55, 0x16, 0x00, 0x30, 0xBD, 0x82, 0x0C, 0x24, 0x60, 0x43, 0x04, 0x03,
	0x44, 0x53, 0x30, 0x44, 0xCA, 0x19, 0x91, 0x33, 0x22, 0x66, 0x00, 0x31, 0x09, 0x82, 0x0C, 0x18, 0x60, 0x83, 0x00, 0x03,
	0xC0, 0x00, 0x30, 0x00, 0x00, 0x18, 0x00, 0x03, 0x00, 0x06, 0x00, 0x30, 0x01, 0x80, 0x0C, 0x00, 0x60, 0x03, 0x00, 0x03,
	0x40, 0x00, 0x30, 0x00, 0x00, 0x18, 0x00, 0x03, 0x00, 0x06, 0x00, 0x30, 0x01, 0x80, 0x0C, 0x00, 0x60, 0x03, 0x00, 0x03,
	0xC0, 0x00, 0x30, 0x00, 0x00, 0x18, 0x00, 0x03, 0x00, 0x06, 0x00, 0x30, 0x01, 0x80, 0x0C, 0x00, 0x60, 0x03, 0x00, 0x03,
	0x5F, 0xFF, 0xF7, 0xFF, 0xFF, 0xFB, 0xFF, 0xFF, 0x7F, 0xFE, 0xFF, 0xF7, 0xFF, 0xBF, 0xFD, 0xFF, 0xEF, 0xFF, 0x7F, 0xFF,
	0xBF, 0xFF, 0xEF, 0xFF, 0xFF, 0xF7, 0xFF, 0xFE, 0xFF, 0xFD, 0xFF, 0xEF, 0xFF, 0x7F, 0xFB, 0xFF, 0xDF, 0xFE, 0xFF, 0xFE,
	0x40, 0x00, 0x10, 0x00, 0x00, 0x08, 0x00, 0x01, 0x00, 0x02, 0x00, 0x10, 0x00, 0x80, 0x04, 0x00, 0x20, 0x01, 0x00, 0x01,
	0xC0, 0x00, 0x30, 0x00, 0x00, 0x18, 0x00, 0x03, 0x00, 0x06, 0x30, 0x30, 0x01, 0x80, 0x0C, 0x00, 0x60, 0x03, 0x00, 0x03,
	0x40, 0x00, 0x30, 0x00, 0x08, 0x18, 0x00, 0x03, 0x00, 0x06, 0x48, 0x31, 0x21, 0x80, 0x8C, 0x3C, 0x60, 0x43, 0x00, 0x03,
	0xC8, 0x00, 0x30, 0x40, 0x08, 0x18, 0x10, 0x03, 0x20, 0x06, 0x10, 0x31, 0x21, 0x81, 0x8C, 0x20, 0x60, 0x83, 0x01, 0x03,
	0x5D, 0xB1, 0x30, 0xE4, 0xCC, 0x19, 0x39, 0x33, 0x72, 0x66, 0x48, 0x31, 0x49, 0x82, 0x8C, 0x38, 0x61, 0x03, 0x05, 0x43,
	0xC9, 0x2A, 0xB0, 0x42, 0xAA, 0x18, 0x90, 0xAB, 0x21, 0x56, 0x30, 0x30, 0x55, 0x84, 0x8C, 0x24, 0x61, 0xC3, 0x03, 0x83,
	0x49, 0x2A, 0x30, 0x46, 0xAA, 0x19, 0x91, 0xAB, 0x23, 0x56, 0x00, 0x30, 0x85, 0x87, 0x8C, 0x04, 0x61, 0x23, 0x05, 0x43,
	0xC9, 0x2A, 0xB0, 0x4A, 0xAA, 0x1A, 0x92, 0xAB, 0x25, 0x56, 0x00, 0x30, 0x89, 0x80, 0x8C, 0x24, 0x61, 0x23, 0x01, 0x03,
	0x4D, 0x29, 0x30, 0x66, 0xAA, 0x19, 0x99, 0xAB, 0x33, 0x56, 0x00, 0x31, 0x1D, 0x80, 0x8C, 0x18, 0x60, 0xC3, 0x00, 0x03,
	0xC0, 0x00, 0x30, 0x00, 0x00, 0x18, 0x00, 0x03, 0x00, 0x06, 0x00, 0x30, 0x01, 0x80, 0x0C, 0x00, 0x60, 0x03, 0x00, 0x03,
	0x40, 0x00, 0x30, 0x00, 0x00, 0x18, 0x00, 0x03, 0x00, 0x06, 0x00, 0x30, 0x01, 0x80, 0x0C, 0x00, 0x60, 0x03, 0x00, 0x03,
	0xC0, 0x00, 0x30, 0x00, 0x00, 0x18, 0x00, 0x03, 0x00, 0x06, 0x00, 0x30, 0x01, 0x80, 0x0C, 0x00, 0x60, 0x03, 0x00, 0x03,
	0x5F, 0xFF, 0xF7, 0xFF, 0xFF, 0xFB, 0xFF, 0xFF, 0x7F, 0xFE, 0xFF, 0xF7, 0xFF, 0xBF, 0xFD, 0xFF, 0xEF, 0xFF, 0x7F, 0xFF,
	0xBF, 0xFF, 0xEF, 0xFF, 0xFF, 0xF7, 0xFF, 0xFE, 0xFF, 0xFD, 0xFF, 0xEF, 0xFF, 0x7F, 0xFB, 0xFF, 0xDF, 0xFE, 0xFF, 0xFE,
	0x40, 0x00, 0x10, 0x00, 0x00, 0x08, 0x00, 0x01, 0x00, 0x02, 0x00, 0x10, 0x00, 0x80, 0x04, 0x00, 0x20, 0x01, 0x00, 0x01,
	0xC0, 0x00, 0x30, 0x00, 0x00, 0x18, 0x00, 0x03, 0x00, 0x06, 0x00, 0x30, 0x01, 0x80, 0x0C, 0x00, 0x60, 0x03, 0x00, 0x03,
	0x40, 0x00, 0x30, 0x00, 0x08, 0x98, 0x00, 0x03, 0x00, 0x06, 0x08, 0x33, 0x11, 0x82, 0x0C, 0x18, 0x60, 0xC3, 0x00, 0x03,
	0xC0, 0x01, 0x30, 0x00, 0x19, 0x58, 0x00, 0x03, 0x00, 0x06, 0x14, 0x30, 0x91, 0x86, 0x0C, 0x24, 0x61, 0x23, 0x00, 0x03,
	0x4A, 0x8B, 0xB6, 0x24, 0x49, 0x59, 0x89, 0x13, 0x25, 0x66, 0x22, 0x31, 0x25, 0x82, 0x0C, 0x04, 0x60, 0x23, 0x00, 0x03,
	0xCD, 0x55, 0x35, 0x54, 0x49, 0x59, 0x55, 0x13, 0x55, 0x56, 0x00, 0x30, 0xAD, 0x82, 0x0C, 0x08, 0x60, 0x43, 0x07, 0xC3,
	0x49, 0x55, 0x35, 0x55, 0x49, 0x59, 0x55, 0x53, 0x72, 0x56, 0x00, 0x33, 0x55, 0x82, 0x0C, 0x10, 0x60, 0x23, 0x00, 0x03,
	0xC9, 0x55, 0x36, 0x55, 0x49, 0x59, 0x95, 0x53, 0x45, 0x66, 0x00, 0x30, 0x5D, 0x82, 0x0C, 0x20, 0x61, 0x23, 0x00, 0x03,
	0x48, 0x89, 0xB4, 0x22, 0x9C, 0x99, 0x08, 0xA3, 0x35, 0x46, 0x00, 0x30, 0x85, 0x87, 0x0C, 0x3C, 0x60, 0xC3, 0x00, 0x03,
	0xC0, 0x00, 0x34, 0x00, 0x00, 0x19, 0x00, 0x03, 0x00, 0x46, 0x00, 0x30, 0x01, 0x80, 0x0C, 0x00, 0x60, 0x03, 0x00, 0x03,
	0x40, 0x00, 0x30, 0x00, 0x00, 0x18, 0x00, 0x03, 0x00, 0x06, 0x00, 0x30, 0x01, 0x80, 0x0C, 0x00, 0x60, 0x03, 0x00, 0x03,
	0xC0, 0x00, 0x30, 0x00, 0x00, 0x18, 0x00, 0x03, 0x00, 0x06, 0x00, 0x30, 0x01, 0x80, 0x0C, 0x00, 0x60, 0x03, 0x00, 0x03,
	0x5F, 0xFF, 0xF7, 0xFF, 0xFF, 0xFB, 0xFF, 0xFF, 0x7F, 0xFE, 0xFF, 0xF7, 0xFF, 0xBF, 0xFD, 0xFF, 0xEF, 0xFF, 0x7F, 0xFF,
	0xBF, 0xFF, 0xEF, 0xFF, 0xFF, 0xF7, 0xFF, 0xFE, 0xFF, 0xFD, 0xFF, 0xEF, 0xFF, 0x7F, 0xFB, 0xFF, 0xDF, 0xFE, 0xFF, 0xFE,
	0x40, 0x00, 0x10, 0x00, 0x00, 0x08, 0x00, 0x01, 0x00, 0x02, 0x00, 0x10, 0x00, 0x80, 0x04, 0x00, 0x20, 0x01, 0x00, 0x01,
	0xC1, 0x80, 0x30, 0x00, 0x00, 0x18, 0x00, 0x03, 0x00, 0x06, 0x00, 0x30, 0x01, 0x80, 0x0C, 0x00, 0x60, 0x03, 0x00, 0x03,
	0x42, 0x40, 0x31, 0x80, 0x11, 0x18, 0xC0, 0x03, 0x0C, 0x06, 0x08, 0x30, 0x01, 0x83, 0x0C, 0x00, 0x60, 0x03, 0x00, 0x03,
	0xC0, 0x9C, 0x30, 0x80, 0x32, 0x98, 0x40, 0x03, 0x04, 0x06, 0x08, 0x30, 0x01, 0x84, 0x8C, 0x00, 0x60, 0x03, 0x01, 0x03,
	0x42, 0x50, 0x30, 0x91, 0x92, 0x98, 0x48, 0xC3, 0x05, 0x86, 0x08, 0x30, 0x61, 0x84, 0x8C, 0x00, 0x61, 0x13, 0x01, 0x03,
	0xC1, 0x90, 0x30, 0xAA, 0x92, 0x98, 0x55, 0x43, 0x05, 0x46, 0x08, 0x30, 0x91, 0x84, 0x8C, 0x00, 0x60, 0xA3, 0x07, 0xC3,
	0x40, 0x10, 0x30, 0xAA, 0x92, 0x98, 0x55, 0x43, 0x05, 0x46, 0x08, 0x30, 0xF1, 0x84, 0x8C, 0x00, 0x60, 0x43, 0x01, 0x03,
	0xC0, 0x50, 0x30, 0xA9, 0x92, 0x98, 0x54, 0xC3, 0x05, 0x46, 0x00, 0x30, 0x81, 0x84, 0x8C, 0x18, 0x60, 0xA3, 0x01, 0x03,
	0x40, 0x30, 0x30, 0x90, 0xB9, 0x18, 0x48, 0x43, 0x05, 0x46, 0x08, 0x30, 0x71, 0x83, 0x0C, 0x18, 0x61, 0x13, 0x00, 0x03,
	0xC0, 0x10, 0x30, 0x01, 0x80, 0x18, 0x00, 0xC3, 0x00, 0x06, 0x00, 0x30, 0x01, 0x80, 0x0C, 0x00, 0x60, 0x03, 0x00, 0x03,
	0x40, 0x00, 0x30, 0x00, 0x00, 0x18, 0x00, 0x03, 0x00, 0x06, 0x00, 0x30, 0x01, 0x80, 0x0C, 0x00, 0x60, 0x03, 0x00, 0x03,
	0xC0, 0x00, 0x30, 0x00, 0x00, 0x18, 0x00, 0x03, 0x00, 0x06, 0x00, 0x30, 0x01, 0x80, 0x0C, 0x00, 0x60, 0x03, 0x00, 0x03,
	0x5F, 0xFF, 0xF7, 0xFF, 0xFF, 0xFB, 0xFF, 0xFF, 0x7F, 0xFE, 0xFF, 0xF7, 0xFF, 0xBF, 0xFD, 0xFF, 0xEF, 0xFF, 0x7F, 0xFF,
	0xBF, 0xFF, 0xEF, 0xFF, 0xFF, 0xF7, 0xFF, 0xFE, 0xFF, 0xFD, 0xFF, 0xEF, 0xFF, 0x7F, 0xFB, 0xFF, 0xDF, 0xFE, 0xFF, 0xFE
};
