/********************************************************************************
* x-Panel definiton																*
*																				*
* by Ansgar Schfer, (c)2002													*
*																				*
* xpanel.c																		*
*																				*
*																				*
* Version:	V3.00																*
* Date:		09.11.2002															*
********************************************************************************/


#include "xpanel.h"



/* Teachtable for x-Panel */
TCHTBL FAR TchXPanelList [] = 
{	
	XPANEL_XPOS+1,		XPANEL_YPOS+1,	XPANEL_XPOS+14,		XPANEL_YPOS+12,	ACT_ICON,	OBJ_FAST_LEFT,		0x0000,
	XPANEL_XPOS+16,		XPANEL_YPOS+1,	XPANEL_XPOS+24,		XPANEL_YPOS+12,	ACT_ICON,	OBJ_LEFT,			0x0000,
	XPANEL_XPOS+26,		XPANEL_YPOS+1,	XPANEL_XPOS+37,		XPANEL_YPOS+12,	ACT_ICON,	OBJ_H_ZOOM_IN,		0x0000,
	XPANEL_XPOS+39,		XPANEL_YPOS+1,	XPANEL_XPOS+48,		XPANEL_YPOS+12,	ACT_ICON,	OBJ_H_CENTER,		0x0000, 
	XPANEL_XPOS+50,		XPANEL_YPOS+1,	XPANEL_XPOS+61,		XPANEL_YPOS+12,	ACT_ICON,	OBJ_H_ZOOM_OUT,		0x0000,
	XPANEL_XPOS+63,		XPANEL_YPOS+1,	XPANEL_XPOS+71,		XPANEL_YPOS+12,	ACT_ICON,	OBJ_RIGHT,			0x0000,
	XPANEL_XPOS+73,		XPANEL_YPOS+1,	XPANEL_XPOS+86,		XPANEL_YPOS+12,	ACT_ICON,	OBJ_FAST_RIGHT,		0x0000,

	XPANEL_XPOS+91,		XPANEL_YPOS+1,	XPANEL_XPOS+104,	XPANEL_YPOS+12,	ACT_ICON,	OBJ_S_ZERO,			0x0000,

	XPANEL_XPOS+106,	XPANEL_YPOS+1,	XPANEL_XPOS+128,	XPANEL_YPOS+12,	ACT_ICON,	OBJ_SET,			0x0000,
	XPANEL_XPOS+130,	XPANEL_YPOS+1,	XPANEL_XPOS+158,	XPANEL_YPOS+12,	ACT_ICON,	OBJ_EDIT,			0x0000,

	0,					0,				0,					0,				ACT_NONE,	OBJ_END,			0x0000
};


/* Icondescription for x-Panel Icons */
T_ICON	FAR TFastLeftIcon	= { &TchXPanelList[0x00], NULL, NULL, 0x03 };
T_ICON	FAR TLeftIcon		= { &TchXPanelList[0x01], NULL, NULL, 0x03 };
T_ICON	FAR THZoomInIcon	= { &TchXPanelList[0x02], NULL, NULL, 0x03 };
T_ICON	FAR THCenterIcon	= { &TchXPanelList[0x03], NULL, NULL, 0x03 };
T_ICON	FAR THZoomOutIcon	= { &TchXPanelList[0x04], NULL, NULL, 0x03 };
T_ICON	FAR TRightIcon		= { &TchXPanelList[0x05], NULL, NULL, 0x03 };
T_ICON	FAR TFastRightIcon	= { &TchXPanelList[0x06], NULL, NULL, 0x03 };

T_ICON	FAR TSZeroIcon		= { &TchXPanelList[0x07], NULL, NULL, 0x03 };
T_ICON	FAR TSetIcon		= { &TchXPanelList[0x08], NULL, NULL, 0x03 };
T_ICON	FAR TEditIcon		= { &TchXPanelList[0x09], NULL, NULL, 0x03 };


/* Graphics of x-Panel */
byte FAR GraphXPanel[] =
{
	GSIZE(160, 14),
	0x7F, 0xFE, 0xFF, 0xBF, 0xFD, 0xFF, 0xBF, 0xFD, 0xFF, 0x7F, 0xFE, 0x1F, 0xFF, 0xBF, 0xFF, 0xFF, 0xBF, 0xFF, 0xFF, 0xFE,
	0x80, 0x01, 0x00, 0x40, 0x02, 0x00, 0x40, 0x02, 0x00, 0x80, 0x01, 0x20, 0x00, 0x40, 0x00, 0x00, 0x40, 0x00, 0x00, 0x01,
	0x80, 0x03, 0x00, 0xC7, 0x06, 0x00, 0xC7, 0x06, 0x01, 0x80, 0x03, 0x20, 0x00, 0xC3, 0x80, 0x00, 0xC7, 0xE0, 0x00, 0x03,
	0x82, 0x13, 0x04, 0xC8, 0x86, 0x10, 0xC8, 0x86, 0x41, 0x90, 0x83, 0x20, 0x00, 0xC6, 0xC0, 0x20, 0xC3, 0x23, 0x8C, 0x83,
	0x86, 0x33, 0x0C, 0xD2, 0x46, 0x10, 0xD0, 0x46, 0x61, 0x98, 0xC3, 0x20, 0x00, 0xC6, 0xC0, 0x30, 0xC3, 0x01, 0x8C, 0xC3,
	0x8E, 0x73, 0x1C, 0xD7, 0x46, 0x10, 0xD7, 0x46, 0x71, 0x9C, 0xE3, 0x21, 0xF0, 0xC6, 0x0E, 0x78, 0xC3, 0x01, 0x81, 0xE3,
	0x9E, 0xF3, 0x3C, 0xD2, 0x46, 0x10, 0xD0, 0x46, 0x79, 0x9E, 0xF3, 0x21, 0x30, 0xC3, 0x9B, 0x30, 0xC3, 0xC7, 0x9C, 0xC3,
	0x8E, 0x73, 0x1C, 0xC8, 0xC6, 0x10, 0xC8, 0xC6, 0x71, 0x9C, 0xE3, 0x20, 0x60, 0xC0, 0xDF, 0x30, 0xC3, 0x0D, 0x8C, 0xC3,
	0x86, 0x33, 0x0C, 0xC7, 0xE6, 0x10, 0xC7, 0xE6, 0x61, 0x98, 0xC3, 0x20, 0xC0, 0xC6, 0xD8, 0x30, 0xC3, 0x0D, 0x8C, 0xC3,
	0x82, 0x13, 0x04, 0xC0, 0x76, 0x10, 0xC0, 0x76, 0x41, 0x90, 0x83, 0x21, 0x90, 0xC6, 0xDB, 0x30, 0xC3, 0x2D, 0x8C, 0xC3,
	0x80, 0x03, 0x00, 0xC0, 0x36, 0x00, 0xC0, 0x36, 0x01, 0x80, 0x03, 0x21, 0xF0, 0xC3, 0x8E, 0x18, 0xC7, 0xE6, 0xDE, 0x63,
	0x80, 0x03, 0x00, 0xC0, 0x06, 0x00, 0xC0, 0x06, 0x01, 0x80, 0x03, 0x20, 0x00, 0xC0, 0x00, 0x00, 0xC0, 0x00, 0x00, 0x03,
	0xBF, 0xFF, 0x7F, 0xDF, 0xFE, 0xFF, 0xDF, 0xFE, 0xFF, 0xBF, 0xFF, 0x2F, 0xFF, 0xDF, 0xFF, 0xFF, 0xDF, 0xFF, 0xFF, 0xFF,
	0x7F, 0xFE, 0xFF, 0xBF, 0xFD, 0xFF, 0xBF, 0xFD, 0xFF, 0x7F, 0xFE, 0x1F, 0xFF, 0xBF, 0xFF, 0xFF, 0xBF, 0xFF, 0xFF, 0xFE
};