/********************************************************************************
* y-Panel definiton																*
*																				*
* by Ansgar Schfer, (c)2002													*
*																				*
* ypanel.c																		*
*																				*
*																				*
* Version:	V3.00																*
* Date:		09.11.2002															*
********************************************************************************/


#include "ypanel.h"



/* Teachtable for y-Panel */
TCHTBL FAR TchYPanelList [] = 
{	
	FUNC_CHANGE_XPOS+1,	FUNC_CHANGE_YPOS+1,	FUNC_CHANGE_XPOS+12,	FUNC_CHANGE_YPOS+10,	ACT_ICON,	OBJ_FUNC_CHANGE,	0x0000,

	YPANEL_XPOS+1,		YPANEL_YPOS+1,		YPANEL_XPOS+12,			YPANEL_YPOS+14,			ACT_ICON,	OBJ_FAST_UP,		0x0000,
	YPANEL_XPOS+1,		YPANEL_YPOS+16,		YPANEL_XPOS+12,			YPANEL_YPOS+24,			ACT_ICON,	OBJ_UP,				0x0000,
	YPANEL_XPOS+1,		YPANEL_YPOS+26,		YPANEL_XPOS+12,			YPANEL_YPOS+37,			ACT_ICON,	OBJ_V_ZOOM_IN,		0x0000,
	YPANEL_XPOS+1,		YPANEL_YPOS+39,		YPANEL_XPOS+12,			YPANEL_YPOS+48,			ACT_ICON,	OBJ_V_CENTER,		0x0000,
	YPANEL_XPOS+1,		YPANEL_YPOS+50,		YPANEL_XPOS+12,			YPANEL_YPOS+61,			ACT_ICON,	OBJ_V_ZOOM_OUT,		0x0000,
	YPANEL_XPOS+1,		YPANEL_YPOS+63,		YPANEL_XPOS+12,			YPANEL_YPOS+71,			ACT_ICON,	OBJ_DOWN,			0x0000,
	YPANEL_XPOS+1,		YPANEL_YPOS+73,		YPANEL_XPOS+12,			YPANEL_YPOS+86,			ACT_ICON,	OBJ_FAST_DOWN,		0x0000,

	YPANEL_XPOS+1,		YPANEL_YPOS+90,		YPANEL_XPOS+12,			YPANEL_YPOS+100,		ACT_ICON,	OBJ_UNDO,			0x0000,
	YPANEL_XPOS+1,		YPANEL_YPOS+102,	YPANEL_XPOS+12,			YPANEL_YPOS+113,		ACT_ICON,	OBJ_G_ZOOM_IN,		0x0000,
	YPANEL_XPOS+1,		YPANEL_YPOS+115,	YPANEL_XPOS+12,			YPANEL_YPOS+126,		ACT_ICON,	OBJ_G_ZOOM_OUT,		0x0000,

	0,					0,					0,						0,						ACT_NONE,	OBJ_END,			0x0000
};


/* Icondescription for y-Panel Icons */
T_ICON	FAR TIconFuncChng	= { &TchYPanelList[0x00], NULL, NULL, 0x03 };

T_ICON	FAR TFastUpIcon		= { &TchYPanelList[0x01], NULL, NULL, 0x03 };
T_ICON	FAR TUpIcon			= { &TchYPanelList[0x02], NULL, NULL, 0x03 };
T_ICON	FAR TVZoomInIcon	= { &TchYPanelList[0x03], NULL, NULL, 0x03 };
T_ICON	FAR TVCenterIcon	= { &TchYPanelList[0x04], NULL, NULL, 0x03 };
T_ICON	FAR TVZoomOutIcon	= { &TchYPanelList[0x05], NULL, NULL, 0x03 };
T_ICON	FAR TDownIcon		= { &TchYPanelList[0x06], NULL, NULL, 0x03 };
T_ICON	FAR TFastDownIcon	= { &TchYPanelList[0x07], NULL, NULL, 0x03 };

T_ICON	FAR TUndoIcon		= { &TchYPanelList[0x08], NULL, NULL, 0x03 };
T_ICON	FAR TGZoomInIcon	= { &TchYPanelList[0x09], NULL, NULL, 0x03 };
T_ICON	FAR TGZoomOutIcon	= { &TchYPanelList[0x0a], NULL, NULL, 0x03 };


/* Graphics of y-Panel */
byte FAR GraphYPanel[] =
{
	GSIZE(14, 128),
	0x7F, 0xFA,
	0x80, 0x07,
	0x80, 0x0C,
	0x82, 0x0D,
	0x87, 0x0E,
	0x8F, 0x8F,
	0x9F, 0xCC,
	0x80, 0x0D,
	0x82, 0x0E,
	0x87, 0x0F,
	0x8F, 0x8C,
	0x9F, 0xCD,
	0x80, 0x0E,
	0x80, 0x0F,
	0xBF, 0xFC,
	0x7F, 0xF9,
	0x80, 0x06,
	0x80, 0x0F,
	0x82, 0x0C,
	0x87, 0x0D,
	0x8F, 0x8E,
	0x9F, 0xCF,
	0x80, 0x0C,
	0x80, 0x0D,
	0xBF, 0xFE,
	0x7F, 0xFB,
	0x80, 0x04,
	0x8E, 0x0D,
	0x91, 0x0E,
	0xA4, 0x8F,
	0xAE, 0x8C,
	0xA4, 0x8D,
	0x91, 0x8E,
	0x8F, 0xCF,
	0x80, 0xEC,
	0x80, 0x6D,
	0x80, 0x0E,
	0xBF, 0xFF,
	0x7F, 0xF8,
	0x80, 0x05,
	0x80, 0x0E,
	0x80, 0x0F,
	0x80, 0x0C,
	0xBF, 0xED,
	0x80, 0x0E,
	0x80, 0x0F,
	0x80, 0x0C,
	0x80, 0x0D,
	0xBF, 0xFE,
	0x7F, 0xFB,
	0x80, 0x04,
	0x8E, 0x0D,
	0x91, 0x0E,
	0xA0, 0x8F,
	0xAE, 0x8C,
	0xA0, 0x8D,
	0x91, 0x8E,
	0x8F, 0xCF,
	0x80, 0xEC,
	0x80, 0x6D,
	0x80, 0x0E,
	0xBF, 0xFF,
	0x7F, 0xF8,
	0x80, 0x05,
	0x80, 0x0E,
	0x9F, 0xCF,
	0x8F, 0x8C,
	0x87, 0x0D,
	0x82, 0x0E,
	0x80, 0x0F,
	0x80, 0x0C,
	0xBF, 0xFD,
	0x7F, 0xFA,
	0x80, 0x07,
	0x80, 0x0C,
	0x9F, 0xCD,
	0x8F, 0x8E,
	0x87, 0x0F,
	0x82, 0x0C,
	0x80, 0x0D,
	0x9F, 0xCE,
	0x8F, 0x8F,
	0x87, 0x0C,
	0x82, 0x0D,
	0x80, 0x0E,
	0x80, 0x0F,
	0xBF, 0xFC,
	0x7F, 0xF9,
	0x00, 0x02,
	0x7F, 0xFB,
	0x80, 0x04,
	0x83, 0x0D,
	0xA4, 0x8E,
	0xA8, 0x4F,
	0xB0, 0x4C,
	0xBC, 0x4D,
	0x80, 0x8E,
	0x81, 0x0F,
	0xBF, 0xEC,
	0x80, 0x0D,
	0xBF, 0xFE,
	0x7F, 0xFB,
	0x80, 0x04,
	0x8E, 0x0D,
	0x91, 0x0E,
	0xA4, 0x8F,
	0xAE, 0x8C,
	0xA4, 0x8D,
	0x91, 0x8E,
	0x8F, 0xCF,
	0x80, 0xEC,
	0x80, 0x6D,
	0x80, 0x0E,
	0xBF, 0xFF,
	0x7F, 0xF8,
	0x80, 0x05,
	0x8E, 0x0E,
	0x91, 0x0F,
	0xA0, 0x8C,
	0xAE, 0x8D,
	0xA0, 0x8E,
	0x91, 0x8F,
	0x8F, 0xCC,
	0x80, 0xED,
	0x80, 0x6E,
	0x80, 0x0F,
	0xBF, 0xFC,
	0x7F, 0xF9
};
